### Method

# EBookContacts VCard foreach_remove

since: 3.60

#### Declaration [src]

    guint
    e_vcard_foreach_remove (
      EVCard* self,
      EVCardForeachFunc func,
      gpointer user_data
    )

#### Description [src]

Removes all attributes the `func` returns `TRUE` for.

Available since: 3.60

#### Parameters

`func`

  Type: `EVCardForeachFunc`

  An `EVCardForeachFunc` callback function.

`user_data`

  Type: `gpointer`

  User data passed to the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `guint`

How many attributes had been removed.